Chapter 1. Compatibility Matrix for Red Hat Ceph Storage 4.0

The following tables list products and their versions compatible with Red Hat Ceph Storage 4.0.

Host Operating SystemVersionNotes

Red Hat Enterprise Linux

7.7 and 8.1

Included in the product

Important

All nodes in the cluster and their clients must use the supported OS version(s) to ensure that the version of the ceph package is the same on all nodes. Using different versions of the ceph package is not supported.

Important

Red Hat no longer supports using Ubuntu as a host operating system to deploy Red Hat Ceph Storage.

ProductVersionNotes

Ansible

2.8

Included in the product

Red Hat OpenShift

3.0 and later 3.x versions

The RBD driver is supported starting with version 3.0 and Cinder driver is supported starting with version 3.1. Red Hat OpenShift 4 is not supported.

Red Hat OpenStack Platform

13, 15 and 16

Red Hat OpenStack Platform 11, 12 and 14 is not supported. Red Hat OpenStack Platform 10 and Red Hat Ceph Storage 4 are not a tested combination.

Red Hat Satellite

6.x

Only registering with the Content Delivery Network (CDN) is supported. Registering with Red Hat Network (RHN) is deprecated and not supported.

Client ConnectorVersionNotes

S3A

2.8.x, 3.2.x, and trunk

 

Red Hat Enterprise Linux iSCSI Initiator

The latest versions of the iscsi-initiator-utils and device-mapper-multipath packages

 
RHCS as a backup targetVersionNotes

CommVault

Cloud Data Management v11

 

IBM Spectrum Protect Plus

10.1.5

 

IBM Spectrum Protect server

8.1.8

 

NetApp AltaVault

4.3.2 and 4.4

 

Rubrik Cloud Data Management (CDM)

3.2 and later

 

Trilio, TrilioVault

3.0

S3 target

Veeam (object storage)

Veeam Availability Suite 9.5 Update 4

Supported on Red Hat Ceph Storage object storage with the S3 protocol

Veritas NetBackup for Symantec OpenStorage (OST) cloud backup

7.7 and 8.0

 
Independent Software vendorsVersionNotes

IBM Spectrum Discover

2.0.3